Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

API to get list of schedules
GET https://services.leadconnectorhq.com/invoices/schedule

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

altId
string
default:"6578278e879ad2646715ba9c"
required
account Id / company Id based on altType
altType
string
default:"account"
required
Alt Type
status
string
status to be filtered
startAt
string
default:"2023-01-01"
startAt in YYYY-MM-DD format
endAt
string
default:"2023-01-01"
endAt in YYYY-MM-DD format
To search for an invoice by id / name / email / phoneNo
paymentMode
string
default:"live"
payment mode
limit
string
default:"10"
required
Limit the number of items to return
offset
string
default:"10"
required
Number of items to skip

Respuestas

schedules
object[]
required
total
number
default:"100"
required
Total number of Schedules
{
  "schedules": [
    {
      "_id": "6578278e879ad2646715ba9c",
      "status": "draft",
      "liveMode": false,
      "altId": "6578278e879ad2646715ba9c",
      "altType": "account",
      "name": "New Invoice",
      "schedule": {
        "executeAt": "string",
        "rrule": {}
      },
      "invoices": [
        {}
      ],
      "businessDetails": {
        "name": "Alex",
        "address": {
          "addressLine1": "9931 Beechwood",
          "city": "St. Houston",
          "state": "TX",
          "countryCode": "USA",
          "postalCode": "559-6993"
        },
        "phoneNo": "+1-214-559-6993",
        "website": "www.example.com"
      },
      "currency": "USD",
      "contactDetails": {
        "id": "c6tZZU0rJBf30ZXx9Gli",
        "phoneNo": "+1-214-559-6993",
        "email": "alex@example.com",
        "customFields": [],
        "name": "Alex",
        "address": {
          "countryCode": "US"
        }
      },
  // truncado: 26 lineas mas
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/invoices/schedule' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'